#!/bin/sh
# -*- coding: utf-8 -*-
########################################################################
#
# dl-schlagseiten.sh
# Ganz schnell runtergehackt...
#
########################################################################

url_start='http://www.heise.de/ct/schlagseite'
url_file='gross.jpg'
dl_dir='schlagseite'

if [ ! -d "$dl_dir" ]
then
    mkdir "$dl_dir"
fi

set `date '+%Y %-m'`
now_y=$1
now_m=$2
for akt_y in `seq 1998 $now_y`
do
    for akt_m in `seq 1 12`
    do
	if [ $akt_y -lt $now_y -o $akt_m -le $now_m ]
	then
	    file_m=`printf %02d $akt_m`
	    img_url=$url_start/$akt_y/$akt_m/$url_file
	    img_fname=$dl_dir/$akt_y-$file_m.jpg
	    if [ ! -f $img_fname ]
	    then
		wget $img_url -O $img_fname
	    fi
	fi
    done
done
